Summary: Manipulate system time per process for testing purposes
Name: libfaketime
Version: 0.8.1
Release: 1%{?dist}
License: GPLv2+
Url: http://www.code-wizards.com/projects/%{name}/
Source: http://www.code-wizards.com/projects/%{name}/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libfaketime intercepts various system calls which programs use to
retrieve the current date and time. It can then report faked dates and
times (as specified by you, the user) to these programs. This means you
can modify the system time a program sees without having to change the
time system- wide.

%prep
%setup -q
chmod 644 src/faketime
sed -i 's/CFLAGS =/CFLAGS +=/' src/Makefile
sed -i 's/LDFLAGS =/LDFLAGS +=/' src/Makefile

%build
cd src ; make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -g -fPIC" all

%check
make %{?_smp_mflags} -C test all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir} %{buildroot}/%{_mandir}/1/
cp src/libfaketime.so.1 src/libfaketimeMT.so.1 %{buildroot}/%{_libdir}
gzip man/faketime.1
cp man/faketime.1.gz %{buildroot}/%{_mandir}/1/

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_libdir}/libfaketime*so.*
%doc README meta/COPYING src/faketime 
%{_mandir}/1/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Nov 27 2011 Paul Wouters <paul@xelerance.com> - 0.8.1-1
- Initial package
